FlatDirectoryArtifactRepository (Gradle API 2.14.1)

Package: org.gradle.api.artifacts.repositories

## [Java] Interface FlatDirectoryArtifactRepository

- org.gradle.api.artifacts.repositories.FlatDirectoryArtifactRepository

- All Superinterfaces:
    ArtifactRepository

  A repository that looks into a number of directories for artifacts. The artifacts are expected to be located in the root of the specified directories. The repository ignores any group/organization information specified in the dependency section of your build script. If you only use this kind of resolver you can specify your dependencies like `:junit:4.8.1` instead of `junit:junit:4.8.1`.

  To resolve a dependency, this resolver looks for one of the following files. It will return the first match it finds:

  - [artifact]-[version].[ext]
  - [artifact]-[version]-[classifier].[ext]
  - [artifact].[ext]
  - [artifact]-[classifier].[ext]
  So, for example, to resolve `:junit:junit:4.8.1`, this repository will look for `junit-4.8.1.jar` and then `junit.jar`.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `dir(Object dir)` Adds a directory where this repository will look for artifacts.
    `void` | `dirs(Object... dirs)` Adds some directories where this repository will look for artifacts.
    `Set<File>` | `getDirs()` Returns the directories where this repository will look for artifacts.
    `void` | `setDirs(Iterable<?> dirs)` Sets the directories where this repository will look for artifacts.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ArtifactRepository` | `getName, setName`

- - ### Method Detail

    - #### public void dir(Object dir)

      Adds a directory where this repository will look for artifacts.

      The provided value are evaluated as per Project.file.

      Parameters:
        `dir` - the directory

    - #### public void dirs(Object... dirs)

      Adds some directories where this repository will look for artifacts.

      The provided values are evaluated as per Project.files.

      Parameters:
        `dirs` - the directories.

    - #### public Set<File> getDirs()

      Returns the directories where this repository will look for artifacts.

      Returns:
        The directories. Never null.

    - #### public void setDirs(Iterable<?> dirs)

      Sets the directories where this repository will look for artifacts.

      The provided values are evaluated as per Project.files.

      Parameters:
        `dirs` - the directories.